# This is the analysis code, based on the data created in the setup code. 

# Loading the required data: 
final <- read.csv("...\\final_figshare.csv")

#load packages
library(lme4)
library(texreg)

### Descriptive Data Picture Level
mean(final$P_Gender)
median(final$P_Age)
prop.table(table(final$P_Race))
mean(final$P_Ethn)

table(final$Glass)
table(final$Outdoor) 
#Results here are for picture sets; 1 set = 2 pictures. Either 0, 1 or 2 picture 
#can hold the feature. Paper reports proportion on picture level. 


### Descriptive Data Observer Level
mean(final$Gender)
median(final$Age)
prop.table(table(final$Race_new))
mean(final$Ethn)


### Regression Data for Table 2
Table2_A <- glmer(success ~ (1|user_ID) + (1|pic_ID),
                  data = final, family=binomial,
                  control=glmerControl(optimizer="Nelder_Mead", optCtrl=list(maxfun=2e5)))

summary(Table2_A)


Table2_B <- glmer(success ~ simed2low + sima + simg + simra + simeth +
             Age + Gender + factor(Race_new) + Ethn + Educ2low + Income + FBAcc + City + 
             Glass + Reveal + Outdoor + Sport + Prof + Manipulated + Selfie +
             P_Age + P_Gender + factor(P_Race_new) + P_Ethn + P_Educ2 +
             position +   
             (1|user_ID) + (1|pic_ID),
           data = fp, family=binomial,
           control=glmerControl(optimizer="Nelder_Mead", optCtrl=list(maxfun=2e5)))

summary(Table2_B)


Table2_C <- glmer(rating ~ #simed2 + sima + simg + simra + simeth +
                    Age + Gender + factor(Race_new) + Ethn + Educ2low + Income + FBAcc + City + 
                    Glass + Reveal + Outdoor + Sport + Prof + Manipulated + Selfie +
                    P_Age + P_Gender + factor(P_Race_new) + P_Ethn + P_Educ2 +
                    position +   
                    (1|user_ID) + (1|pic_ID),
                  data = final, family=binomial,
                  control=glmerControl(optimizer="Nelder_Mead", optCtrl=list(maxfun=2e5)))

summary(Table2_C)
