# Protocol for Observer/Rater  data: 
#1)	Data was imported from Qualtrics 
#2)	Position of each picture in the random draw was included as new column for each picture (in Excel).
#3)	Some irrelevant columns were deleted
#4)	From initially 722 rows 8 observations/rows were deleted because participants did not gave consent
#5)	Final data set contains 714 rows
#6)	Data set was imported to R

# Sociodemographics of Picture Participants were imported directly, as well as the Coding Part of the pictures. 

data <- read.csv("...\\Rater_Data_Figshare.csv")
#import data with results from rating (714 rows)
pdata <- read.csv("...\\Picture_Data_Figshare.csv")
#import picture data (112 rows)
pcode <- read.csv("...\\Coding_Pictures_Figshare.csv")
# import picture codes (112 rows)


### Delete some stuff
pdata$Consent <- NULL
pdata$ID <- NULL
pdata$P_Spanish <- NULL
pdata$P_Male <- NULL

#rename values of gender and P_Gender
data$Gender[data$Gender == 1] <- 0
data$Gender[data$Gender == 2] <- 1
pdata$P_Gender[pdata$P_Gender == 1] <- 0
pdata$P_Gender[pdata$P_Gender == 2] <- 1
# 1 is female 
data$Ethn[data$Ethn == 1] <- 0
data$Ethn[data$Ethn == 2] <- 1
pdata$P_Ethn[pdata$P_Ethn == 1] <- 0 
pdata$P_Ethn[pdata$P_Ethn == 2] <- 1



data2 <- data.frame("user_ID" = seq(1,nrow(data),1),data[,colnames(data)[!grepl("First.Click", colnames(data))]])
# giving each row a user id from 1 onwards and deleting columns that are not necessary
data3 <- data2[,colnames(data2)[!grepl("Last.Click", colnames(data2))]]
data4 <- data3[,colnames(data3)[!grepl("Click.Count", colnames(data3))]]

constant <- c("user_ID","Duration_in_sec","Gender","Age","Ethn","Race","Income","Educ","YearsColl","FBAcc","FBFriends","City")
# determing which survey participant (called: rater/observer) information must be included in each row

# now for each picture, each constant part of the specific rater is added. Since every picture was 
# rated by around 240 survey participants, for each picture, we get around 240 rows. The exact number 
# of rows in the end is 714*37 (each of the 714 raters rated 37 pictures) which is approximately equal to
# 240*112 (112 pictures rated by each 240 raters).
pic_list <- list()
pic_list[[1]] <- data.frame("pic_ID" = rep(1,nrow(data4)), data4[,c(constant, "P1", "X1", "T1_Page.Submit")])
pic_list[[2]] <- data.frame("pic_ID" = rep(2,nrow(data4)), data4[,c(constant, "P2", "X2", "T2_Page.Submit")])
pic_list[[3]] <- data.frame("pic_ID" = rep(4,nrow(data4)), data4[,c(constant, "P4", "X4", "T4_Page.Submit")])
pic_list[[4]] <- data.frame("pic_ID" = rep(5,nrow(data4)), data4[,c(constant, "P5", "X5", "T5_Page.Submit")])
pic_list[[5]] <- data.frame("pic_ID" = rep(6,nrow(data4)), data4[,c(constant, "P6", "X6", "T6_Page.Submit")])
pic_list[[6]] <- data.frame("pic_ID" = rep(7,nrow(data4)), data4[,c(constant, "P7", "X7", "T7_Page.Submit")])
pic_list[[7]] <- data.frame("pic_ID" = rep(8,nrow(data4)), data4[,c(constant, "P8", "X8", "T8_Page.Submit")])
pic_list[[8]] <- data.frame("pic_ID" = rep(9,nrow(data4)), data4[,c(constant, "P9", "X9", "T9_Page.Submit")])
pic_list[[9]] <- data.frame("pic_ID" = rep(10,nrow(data4)), data4[,c(constant, "P10", "X10", "T10_Page.Submit")])
pic_list[[10]] <- data.frame("pic_ID" = rep(11,nrow(data4)), data4[,c(constant, "P11", "X11", "T11_Page.Submit")])
pic_list[[11]] <- data.frame("pic_ID" = rep(12,nrow(data4)), data4[,c(constant, "P12", "X12", "T12_Page.Submit")])
pic_list[[12]] <- data.frame("pic_ID" = rep(13,nrow(data4)), data4[,c(constant, "P13", "X13", "T13_Page.Submit")])
pic_list[[13]] <- data.frame("pic_ID" = rep(14,nrow(data4)), data4[,c(constant, "P14", "X14", "T14_Page.Submit")])
pic_list[[14]] <- data.frame("pic_ID" = rep(15,nrow(data4)), data4[,c(constant, "P15", "X15", "T15_Page.Submit")])
pic_list[[15]] <- data.frame("pic_ID" = rep(16,nrow(data4)), data4[,c(constant, "P16", "X16", "T16_Page.Submit")])
pic_list[[16]] <- data.frame("pic_ID" = rep(17,nrow(data4)), data4[,c(constant, "P17", "X17", "T17_Page.Submit")])
pic_list[[17]] <- data.frame("pic_ID" = rep(20,nrow(data4)), data4[,c(constant, "P20", "X20", "T20_Page.Submit")])
pic_list[[18]] <- data.frame("pic_ID" = rep(21,nrow(data4)), data4[,c(constant, "P21", "X21", "T21_Page.Submit")])
pic_list[[19]] <- data.frame("pic_ID" = rep(22,nrow(data4)), data4[,c(constant, "P22", "X22", "T22_Page.Submit")])
pic_list[[20]] <- data.frame("pic_ID" = rep(23,nrow(data4)), data4[,c(constant, "P23", "X23", "T23_Page.Submit")])
pic_list[[21]] <- data.frame("pic_ID" = rep(24,nrow(data4)), data4[,c(constant, "P24", "X24", "T24_Page.Submit")])
pic_list[[22]] <- data.frame("pic_ID" = rep(26,nrow(data4)), data4[,c(constant, "P26", "X26", "T26_Page.Submit")])
pic_list[[23]] <- data.frame("pic_ID" = rep(27,nrow(data4)), data4[,c(constant, "P27", "X27", "T27_Page.Submit")])
pic_list[[24]] <- data.frame("pic_ID" = rep(28,nrow(data4)), data4[,c(constant, "P28", "X28", "T28_Page.Submit")])
pic_list[[25]] <- data.frame("pic_ID" = rep(29,nrow(data4)), data4[,c(constant, "P29", "X29", "T29_Page.Submit")])
pic_list[[26]] <- data.frame("pic_ID" = rep(30,nrow(data4)), data4[,c(constant, "P30", "X30", "T30_Page.Submit")])
pic_list[[27]] <- data.frame("pic_ID" = rep(32,nrow(data4)), data4[,c(constant, "P32", "X32", "T32_Page.Submit")])
pic_list[[28]] <- data.frame("pic_ID" = rep(34,nrow(data4)), data4[,c(constant, "P34", "X34", "T34_Page.Submit")])
pic_list[[29]] <- data.frame("pic_ID" = rep(35,nrow(data4)), data4[,c(constant, "P35", "X35", "T35_Page.Submit")])
pic_list[[30]] <- data.frame("pic_ID" = rep(36,nrow(data4)), data4[,c(constant, "P36", "X36", "T36_Page.Submit")])
pic_list[[31]] <- data.frame("pic_ID" = rep(37,nrow(data4)), data4[,c(constant, "P37", "X37", "T37_Page.Submit")])
pic_list[[32]] <- data.frame("pic_ID" = rep(39,nrow(data4)), data4[,c(constant, "P39", "X39", "T39_Page.Submit")])
pic_list[[33]] <- data.frame("pic_ID" = rep(40,nrow(data4)), data4[,c(constant, "P40", "X40", "T40_Page.Submit")])
pic_list[[34]] <- data.frame("pic_ID" = rep(41,nrow(data4)), data4[,c(constant, "P41", "X41", "T41_Page.Submit")])
pic_list[[35]] <- data.frame("pic_ID" = rep(42,nrow(data4)), data4[,c(constant, "P42", "X42", "T42_Page.Submit")])
pic_list[[36]] <- data.frame("pic_ID" = rep(43,nrow(data4)), data4[,c(constant, "P43", "X43", "T43_Page.Submit")])
pic_list[[37]] <- data.frame("pic_ID" = rep(44,nrow(data4)), data4[,c(constant, "P44", "X44", "T44_Page.Submit")])
pic_list[[38]] <- data.frame("pic_ID" = rep(45,nrow(data4)), data4[,c(constant, "P45", "X45", "T45_Page.Submit")])
pic_list[[39]] <- data.frame("pic_ID" = rep(46,nrow(data4)), data4[,c(constant, "P46", "X46", "T46_Page.Submit")])
pic_list[[40]] <- data.frame("pic_ID" = rep(48,nrow(data4)), data4[,c(constant, "P48", "X48", "T48_Page.Submit")])
pic_list[[41]] <- data.frame("pic_ID" = rep(49,nrow(data4)), data4[,c(constant, "P49", "X49", "T49_Page.Submit")])
pic_list[[42]] <- data.frame("pic_ID" = rep(50,nrow(data4)), data4[,c(constant, "P50", "X50", "T50_Page.Submit")])
pic_list[[43]] <- data.frame("pic_ID" = rep(51,nrow(data4)), data4[,c(constant, "P51", "X51", "T51_Page.Submit")])
pic_list[[44]] <- data.frame("pic_ID" = rep(52,nrow(data4)), data4[,c(constant, "P52", "X52", "T52_Page.Submit")])
pic_list[[45]] <- data.frame("pic_ID" = rep(54,nrow(data4)), data4[,c(constant, "P54", "X54", "T54_Page.Submit")])
pic_list[[46]] <- data.frame("pic_ID" = rep(55,nrow(data4)), data4[,c(constant, "P55", "X55", "T55_Page.Submit")])
pic_list[[47]] <- data.frame("pic_ID" = rep(56,nrow(data4)), data4[,c(constant, "P56", "X56", "T56_Page.Submit")])
pic_list[[48]] <- data.frame("pic_ID" = rep(57,nrow(data4)), data4[,c(constant, "P57", "X57", "T57_Page.Submit")])
pic_list[[49]] <- data.frame("pic_ID" = rep(58,nrow(data4)), data4[,c(constant, "P58", "X58", "T58_Page.Submit")])
pic_list[[50]] <- data.frame("pic_ID" = rep(59,nrow(data4)), data4[,c(constant, "P59", "X59", "T59_Page.Submit")])
pic_list[[51]] <- data.frame("pic_ID" = rep(61,nrow(data4)), data4[,c(constant, "P61", "X61", "T61_Page.Submit")])
pic_list[[52]] <- data.frame("pic_ID" = rep(62,nrow(data4)), data4[,c(constant, "P62", "X62", "T62_Page.Submit")])
pic_list[[53]] <- data.frame("pic_ID" = rep(63,nrow(data4)), data4[,c(constant, "P63", "X63", "T63_Page.Submit")])
pic_list[[54]] <- data.frame("pic_ID" = rep(64,nrow(data4)), data4[,c(constant, "P64", "X64", "T64_Page.Submit")])
pic_list[[55]] <- data.frame("pic_ID" = rep(65,nrow(data4)), data4[,c(constant, "P65", "X65", "T65_Page.Submit")])
pic_list[[56]] <- data.frame("pic_ID" = rep(66,nrow(data4)), data4[,c(constant, "P66", "X66", "T66_Page.Submit")])
pic_list[[57]] <- data.frame("pic_ID" = rep(70,nrow(data4)), data4[,c(constant, "P70", "X70", "T70_Page.Submit")])
pic_list[[58]] <- data.frame("pic_ID" = rep(71,nrow(data4)), data4[,c(constant, "P71", "X71", "T71_Page.Submit")])
pic_list[[59]] <- data.frame("pic_ID" = rep(72,nrow(data4)), data4[,c(constant, "P72", "X72", "T72_Page.Submit")])
pic_list[[60]] <- data.frame("pic_ID" = rep(73,nrow(data4)), data4[,c(constant, "P73", "X73", "T73_Page.Submit")])
pic_list[[61]] <- data.frame("pic_ID" = rep(74,nrow(data4)), data4[,c(constant, "P74", "X74", "T74_Page.Submit")])
pic_list[[62]] <- data.frame("pic_ID" = rep(75,nrow(data4)), data4[,c(constant, "P75", "X75", "T75_Page.Submit")])
pic_list[[63]] <- data.frame("pic_ID" = rep(76,nrow(data4)), data4[,c(constant, "P76", "X76", "T76_Page.Submit")])
pic_list[[64]] <- data.frame("pic_ID" = rep(77,nrow(data4)), data4[,c(constant, "P77", "X77", "T77_Page.Submit")])
pic_list[[65]] <- data.frame("pic_ID" = rep(78,nrow(data4)), data4[,c(constant, "P78", "X78", "T78_Page.Submit")])
pic_list[[66]] <- data.frame("pic_ID" = rep(79,nrow(data4)), data4[,c(constant, "P79", "X79", "T79_Page.Submit")])
pic_list[[67]] <- data.frame("pic_ID" = rep(80,nrow(data4)), data4[,c(constant, "P80", "X80", "T80_Page.Submit")])
pic_list[[68]] <- data.frame("pic_ID" = rep(81,nrow(data4)), data4[,c(constant, "P81", "X81", "T81_Page.Submit")])
pic_list[[69]] <- data.frame("pic_ID" = rep(82,nrow(data4)), data4[,c(constant, "P82", "X82", "T82_Page.Submit")])
pic_list[[70]] <- data.frame("pic_ID" = rep(83,nrow(data4)), data4[,c(constant, "P83", "X83", "T83_Page.Submit")])
pic_list[[71]] <- data.frame("pic_ID" = rep(84,nrow(data4)), data4[,c(constant, "P84", "X84", "T84_Page.Submit")])
pic_list[[72]] <- data.frame("pic_ID" = rep(85,nrow(data4)), data4[,c(constant, "P85", "X85", "T85_Page.Submit")])
pic_list[[73]] <- data.frame("pic_ID" = rep(86,nrow(data4)), data4[,c(constant, "P86", "X86", "T86_Page.Submit")])
pic_list[[74]] <- data.frame("pic_ID" = rep(87,nrow(data4)), data4[,c(constant, "P87", "X87", "T87_Page.Submit")])
pic_list[[75]] <- data.frame("pic_ID" = rep(88,nrow(data4)), data4[,c(constant, "P88", "X88", "T88_Page.Submit")])
pic_list[[76]] <- data.frame("pic_ID" = rep(89,nrow(data4)), data4[,c(constant, "P89", "X89", "T89_Page.Submit")])
pic_list[[77]] <- data.frame("pic_ID" = rep(90,nrow(data4)), data4[,c(constant, "P90", "X90", "T90_Page.Submit")])
pic_list[[78]] <- data.frame("pic_ID" = rep(91,nrow(data4)), data4[,c(constant, "P91", "X91", "T91_Page.Submit")])
pic_list[[79]] <- data.frame("pic_ID" = rep(92,nrow(data4)), data4[,c(constant, "P92", "X92", "T92_Page.Submit")])
pic_list[[80]] <- data.frame("pic_ID" = rep(93,nrow(data4)), data4[,c(constant, "P93", "X93", "T93_Page.Submit")])
pic_list[[81]] <- data.frame("pic_ID" = rep(94,nrow(data4)), data4[,c(constant, "P94", "X94", "T94_Page.Submit")])
pic_list[[82]] <- data.frame("pic_ID" = rep(95,nrow(data4)), data4[,c(constant, "P95", "X95", "T95_Page.Submit")])
pic_list[[83]] <- data.frame("pic_ID" = rep(96,nrow(data4)), data4[,c(constant, "P96", "X96", "T96_Page.Submit")])
pic_list[[84]] <- data.frame("pic_ID" = rep(97,nrow(data4)), data4[,c(constant, "P97", "X97", "T97_Page.Submit")])
pic_list[[85]] <- data.frame("pic_ID" = rep(98,nrow(data4)), data4[,c(constant, "P98", "X98", "T98_Page.Submit")])
pic_list[[86]] <- data.frame("pic_ID" = rep(99,nrow(data4)), data4[,c(constant, "P99", "X99", "T99_Page.Submit")])
pic_list[[87]] <- data.frame("pic_ID" = rep(100,nrow(data4)), data4[,c(constant, "P100", "X100", "T100_Page.Submit")])
pic_list[[88]] <- data.frame("pic_ID" = rep(101,nrow(data4)), data4[,c(constant, "P101", "X101", "T101_Page.Submit")])
pic_list[[89]] <- data.frame("pic_ID" = rep(102,nrow(data4)), data4[,c(constant, "P102", "X102", "T102_Page.Submit")])
pic_list[[90]] <- data.frame("pic_ID" = rep(103,nrow(data4)), data4[,c(constant, "P103", "X103", "T103_Page.Submit")])
pic_list[[91]] <- data.frame("pic_ID" = rep(104,nrow(data4)), data4[,c(constant, "P104", "X104", "T104_Page.Submit")])
pic_list[[92]] <- data.frame("pic_ID" = rep(105,nrow(data4)), data4[,c(constant, "P105", "X105", "T105_Page.Submit")])
pic_list[[93]] <- data.frame("pic_ID" = rep(106,nrow(data4)), data4[,c(constant, "P106", "X106", "T106_Page.Submit")])
pic_list[[94]] <- data.frame("pic_ID" = rep(107,nrow(data4)), data4[,c(constant, "P107", "X107", "T107_Page.Submit")])
pic_list[[95]] <- data.frame("pic_ID" = rep(108,nrow(data4)), data4[,c(constant, "P108", "X108", "T108_Page.Submit")])
pic_list[[96]] <- data.frame("pic_ID" = rep(109,nrow(data4)), data4[,c(constant, "P109", "X109", "T109_Page.Submit")])
pic_list[[97]] <- data.frame("pic_ID" = rep(110,nrow(data4)), data4[,c(constant, "P110", "X110", "T110_Page.Submit")])
pic_list[[98]] <- data.frame("pic_ID" = rep(111,nrow(data4)), data4[,c(constant, "P111", "X111", "T111_Page.Submit")])
pic_list[[99]] <- data.frame("pic_ID" = rep(112,nrow(data4)), data4[,c(constant, "P112", "X112", "T112_Page.Submit")])
pic_list[[100]] <- data.frame("pic_ID" = rep(113,nrow(data4)), data4[,c(constant, "P113", "X113", "T113_Page.Submit")])
pic_list[[101]] <- data.frame("pic_ID" = rep(114,nrow(data4)), data4[,c(constant, "P114", "X114", "T114_Page.Submit")])
pic_list[[102]] <- data.frame("pic_ID" = rep(115,nrow(data4)), data4[,c(constant, "P115", "X115", "T115_Page.Submit")])
pic_list[[103]] <- data.frame("pic_ID" = rep(116,nrow(data4)), data4[,c(constant, "P116", "X116", "T116_Page.Submit")])
pic_list[[104]] <- data.frame("pic_ID" = rep(117,nrow(data4)), data4[,c(constant, "P117", "X117", "T117_Page.Submit")])
pic_list[[105]] <- data.frame("pic_ID" = rep(118,nrow(data4)), data4[,c(constant, "P118", "X118", "T118_Page.Submit")])
pic_list[[106]] <- data.frame("pic_ID" = rep(119,nrow(data4)), data4[,c(constant, "P119", "X119", "T119_Page.Submit")])
pic_list[[107]] <- data.frame("pic_ID" = rep(120,nrow(data4)), data4[,c(constant, "P120", "X120", "T120_Page.Submit")])
pic_list[[108]] <- data.frame("pic_ID" = rep(122,nrow(data4)), data4[,c(constant, "T122", "X122", "T122_Page.Submit")])
pic_list[[109]] <- data.frame("pic_ID" = rep(123,nrow(data4)), data4[,c(constant, "P123", "X123", "T123_Page.Submit")])
pic_list[[110]] <- data.frame("pic_ID" = rep(124,nrow(data4)), data4[,c(constant, "P124", "X124", "T124_Page.Submit")])
pic_list[[111]] <- data.frame("pic_ID" = rep(125,nrow(data4)), data4[,c(constant, "P125", "X125", "T125_Page.Submit")])
pic_list[[112]] <- data.frame("pic_ID" = rep(126,nrow(data4)), data4[,c(constant, "P126", "X126", "T126_Page.Submit")])
# P122 was wrongly named T122


for (i in 1:112) {
  colnames(pic_list[[i]]) <- c("pic_ID",constant, "rating", "position", "time")
}
# give the columns a proper name. Rating is assessment of the rater on the education of the picture
# position is the position at which it was shown to the rater (range 1 to 37)
# time it took for the rater to decide

all <- pic_list[[1]]
for (i in 2:112) {
  all <- rbind(all,pic_list[[i]])
}
# bind all rows 

all_nm <- all[!is.na(all$position),]
# delete all missings to get final data set of the rater information

#####
# Now merge with picture information (imported as pdata and pcode)

all_final <- data.frame(all_nm,pdata[match(all_nm$pic_ID,pdata$pic_ID),])
all_final <- data.frame(all_final,pcode[match(all_final$pic_ID,pcode$pic_ID),])

# drop some irrelevant columns
all_final$ID <- NULL
all_final$pic_ID.1 <- NULL
all_final$pic_ID.2 <- NULL

## correctly format time column
all_final$time <- as.numeric(sub(",", ".", all_final$time, fixed = TRUE))
#########
#Rename values of rating
all_final$rating[all_final$rating == 4] <- 0
all_final$rating[all_final$rating == 5] <- 1

# Adding a new column to group education of picture and raters
all_final$P_Educ2 <-NA
all_final$P_Educ2[all_final$P_Educ == 1 | all_final$P_Educ == 2 ] = 0
all_final$P_Educ2[all_final$P_Educ == 4 | all_final$P_Educ == 5 ] = 1
all_final$Educ2 <- NA
all_final$Educ2[all_final$Educ == 1 | all_final$Educ == 2 ] = 0
all_final$Educ2[all_final$Educ == 4 | all_final$Educ == 5 ] = 1

#######
# Introduce similarity/homogeneity variables
#######

##### Education
# for the more fine graded Education 
all_final$simed <- as.numeric(all_final$Educ == all_final$P_Educ)
# less fine graded education
all_final$simed2 <- 0
all_final$simed2[all_final$Educ2 == all_final$P_Educ2] <- 1

##### Income (exact and more broad conformity)
all_final$siminc <- as.numeric(all_final$Income == all_final$P_Income)
all_final$siminc2 <- as.numeric(abs(all_final$Income - all_final$P_Income) <2)

##### Age (3 years and 10 years distance in age)
all_final$sima <- as.numeric(abs(all_final$Age - all_final$P_Age) <4)
all_final$sima2 <- as.numeric(abs(all_final$Age - all_final$P_Age) <11)

##### Gender 
all_final$simg <- as.numeric(all_final$Gender == all_final$P_Gender)

##### Race
all_final$simra <- as.numeric(all_final$Race == all_final$P_Race)


# introduce final dependent variable
all_final$success <-0
all_final$success[all_final$P_Educ2 == all_final$rating] = 1

final <- all_final

# exclude user 433 because analysis showed that he only rated high education througout all
# the pictures (no picture was rated low education by him) which is largely unlikely and there
# fore treated as an outlier. 
final <- final[!(final$user_ID==433),]
# rename some variables
names(final)[names(final)=="Duration_in_sec"] <- "Duration"
names(final)[names(final)=="P_Duration_in_sec"] <- "P_Duration"

fp <- final

# reorder Race
fp$Race_new <- NULL
fp$Race_new[fp$Race == 1] = 1 # White
fp$Race_new[fp$Race == 2] = 2 # Black
fp$Race_new[fp$Race == 4] = 3 # Asian
fp$Race_new[fp$Race == 3 | fp$Race == 5 | fp$Race == 6] = 4 # Other
# Check
#table(fp$Race_new)
#table(fp$Race)

# reorder P_Race
fp$P_Race_new <- NULL
fp$P_Race_new[fp$P_Race == 1] = 1
fp$P_Race_new[fp$P_Race == 2] = 2
fp$P_Race_new[fp$P_Race == 4] = 3
fp$P_Race_new[fp$P_Race == 3 | fp$P_Race == 5 | fp$P_Race == 6] = 4

# Similarity in Ethnicity
fp$simeth <- NULL
fp$simeth <- as.numeric(fp$Ethn == fp$P_Ethn)

# Some College to Low Education Category
fp$Educ2low <- NA
fp$Educ2low[fp$Educ == 1 | fp$Educ == 2 | fp$Educ == 3] = 0
fp$Educ2low[fp$Educ == 4 | fp$Educ == 5] = 1
#Check
#table(fp$Educ)
#table(fp$Educ2low)

fp$simed2low <- 0
fp$simed2low[fp$Educ2low == fp$P_Educ2] <- 1

# Correct City variable 
fp$City[fp$City == 2] = 0


### save datasets
write.csv(fp, file = "...\\final_figshare.csv")
